For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve bulk wallet operation status

This endpoint retrieves the status of a bulk wallet operation using its bulk ID. It has been enhanced to support pagination (default: 20 items per page) and status-based filtering, for improved perfor

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint retrieves the status of a bulk wallet operation using its bulk ID. It has been enhanced to support pagination (default: 20 items per page) and status-based filtering, for improved performance and targeted data retrieval. Use this endpoint to check the progress and completion status of bulk update operations."

Retrieve bulk wallet operation status

Retrieve bulk wallet operation status

get

This endpoint retrieves the status of a bulk wallet operation using its bulk ID. It has been enhanced to support pagination (default: 20 items per page) and status-based filtering, for improved performance and targeted data retrieval. Use this endpoint to check the progress and completion status of bulk update operations.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Path parameters
idstringRequired

The unique identifier of the bulk operation.

Query parameters
pageTokenstringOptional

Pagination token to retrieve the next page of results.

pageSizestring · int64Optional

The number of items to retrieve per page.

statusstringOptional

Filter items by status (e.g., BULK_ITEM_SUCCESS, BULK_ITEM_FAILED).

Responses
200

Details of the bulk operation status and progress.

application/json
bulkIdstringOptional

Unique identifier for the bulk operation.

createdAtstring · date-timeOptional

Timestamp when the bulk operation was created.

failureCountstring · int64Optional

Number of items that failed processing.

nextPageTokenstringOptional

Token to retrieve the next page of results.

operationTypestring · enumOptionalDefault: BULK_OPERATION_TYPE_UNSPECIFIEDPossible values:
resourcestring · enumOptionalDefault: BULK_OPERATION_RESOURCE_UNSPECIFIEDPossible values:
statusstring · enumOptionalDefault: BULK_OPERATION_UNSPECIFIEDPossible values:
successCountstring · int64Optional

Number of items processed successfully.

totalCountstring · int64Optional

Total number of items in the bulk operation.

updatedAtstring · date-timeOptional

Timestamp when the bulk operation was last updated.

get/v2/wallets/bulk/status/{id}
GET /v2/wallets/bulk/status/{id} HTTP/1.1
Host: billing.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "bulkId": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "failureCount": "text",
  "items": [
    {
      "createWalletRequest": {
        "archived": false,
        "creditLimit": "50000.00",
        "currencyCode": "USD",
        "dailyBudget": "1000.00",
        "externalId": "ext_789GHI",
        "id": "wallet_12345ABC",
        "name": "MainCompanyWallet",
        "namespaceId": "namespace_xyz987",
        "teamId": "team_456DEF"
      },
      "errorResponse": {
        "details": "text"
      },
      "status": "BULK_ITEM_UNSPECIFIED",
      "successResponse": {
        "message": "text",
        "walletId": "text"
      },
      "updateWalletRequest": {
        "archived": false,
        "creditLimit": "50000.00",
        "currencyCode": "USD",
        "dailyBudget": "1000.00",
        "externalId": "ext_789GHI",
        "id": "wallet_12345ABC",
        "name": "MainCompanyWallet",
        "namespaceId": "namespace_xyz987",
        "teamId": "team_456DEF"
      }
    }
  ],
  "nextPageToken": "text",
  "operationType": "BULK_OPERATION_TYPE_UNSPECIFIED",
  "resource": "BULK_OPERATION_RESOURCE_UNSPECIFIED",
  "status": "BULK_OPERATION_UNSPECIFIED",
  "successCount": "text",
  "totalCount": "text",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}